## vm 6.62

=== Makefile ===
--- 
+++ 
@@ -2,17 +2,9 @@
 # Allowed values are 18 and 19.
 # Version 18 of Emacs is UNSUPPORTED.
 # In fact all versions of Emacs prior to 19.34 for Emacs and
-# prior to 19.14 for XEmacs are unsupported.
+# prior to 19.14 for XEmacs are unsupported.  For v20 XEmacs
+# EMACS_VERSION should remain 19.
 #
-# Currently only vm-isearch-forward depends on the EMACS_VERSION
-# setting being correct.  You can use the same VM .elc files
-# under v18 and v19 Emacs if you don't care about
-# vm-isearch-forward.
-#
-# Note that .elc files compiled with the v19 byte compiler won't
-# work under v18 Emacs, but v18 .elcs will work under v19.  So
-# point this at your v18 Emacs binary if you want compatible .elc
-# files.
 EMACS_VERSION = 19
 
 # what emacs is called on your system
@@ -26,6 +18,7 @@
 
 # where the toolbar pixmaps should go.
 # vm-toolbar-pixmap-directory must point to the same place.
+# vm-image-directory must point to the same place.
 PIXMAPDIR = /usr/local/lib/emacs/etc/vm
 
 ############## no user servicable parts beyond this point ###################
@@ -53,7 +46,7 @@
 
 OBJECTS = \
     vm-delete.elc vm-digest.elc vm-easymenu.elc vm-edit.elc vm-folder.elc \
-    vm-license.elc vm-mark.elc vm-menu.elc vm-message.elc \
+    vm-imap.elc vm-license.elc vm-mark.elc vm-menu.elc vm-message.elc \
     vm-mime.elc vm-minibuf.elc vm-misc.elc vm-mouse.elc \
     vm-motion.elc vm-page.elc vm-pop.elc vm-reply.elc \
     vm-save.elc \
@@ -63,7 +56,7 @@
 
 SOURCES = \
     vm-delete.el vm-digest.el vm-easymenu.el vm-edit.el vm-folder.el \
-    vm-license.el vm-mark.el vm-menu.el vm-message.el \
+    vm-imap.el vm-license.el vm-mark.el vm-menu.el vm-message.el \
     vm-mime.el vm-minibuf.el vm-misc.el vm-mouse.el \
     vm-motion.el vm-page.el vm-pop.el vm-reply.el vm-save.el \
     vm-search.el vm-sort.el vm-startup.el vm-summary.el vm-thread.el \
@@ -126,6 +119,10 @@
 	@echo compiling vm-folder.el...
 	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-folder.el
 
+vm-imap.elc:	vm-imap.el $(CORE)
+	@echo compiling vm-imap.el...
+	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-imap.el
+
 vm-license.elc:	vm-license.el $(CORE)
 	@echo compiling vm-license.el...
 	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-license.el
