## vm 7.03

=== Makefile ===
--- 
+++ 
@@ -1,25 +1,25 @@
-# what Emacs version to build VM for.
-# Allowed values are 18 and 19.
-# Version 18 of Emacs is UNSUPPORTED.
-# In fact all versions of Emacs prior to 19.34 for Emacs and
-# prior to 19.14 for XEmacs are unsupported.  For v20 XEmacs
-# EMACS_VERSION should remain 19.
-#
-EMACS_VERSION = 19
+# All versions of Emacs prior to 19.34 for Emacs and
+# prior to 19.14 for XEmacs are unsupported.
 
 # what emacs is called on your system
 EMACS = emacs
 
+# top of the installation
+prefix = /usr/local
+
 # where the Info file should go
-INFODIR = /usr/local/lib/emacs/info
+INFODIR = ${prefix}/lib/emacs/info
 
 # where the vm.elc, tapestry.elc, etc. files should go
-LISPDIR = /usr/local/lib/emacs/site-lisp
+LISPDIR = ${prefix}/lib/emacs/site-lisp
 
 # where the toolbar pixmaps should go.
 # vm-toolbar-pixmap-directory must point to the same place.
 # vm-image-directory must point to the same place.
-PIXMAPDIR = /usr/local/lib/emacs/etc/vm
+PIXMAPDIR = ${prefix}/lib/emacs/etc/vm
+
+# where the binaries should be go.
+BINDIR = ${prefix}/bin
 
 ############## no user servicable parts beyond this point ###################
 
@@ -32,7 +32,7 @@
 # have to preload the files that contain macro definitions or the
 # byte compiler will compile everything that references them
 # incorrectly.  also preload a file that sets byte compiler options.
-PRELOADS = -l $(BYTEOPTS) -l ./vm-message.el -l ./vm-misc.el -l ./vm-vars.el -l ./vm-version.el
+PRELOADS = -l $(BYTEOPTS) -l ./vm-version.el -l ./vm-message.el -l ./vm-macro.el -l ./vm-vars.el  
 
 # compile with noninteractive and relatively clean environment
 BATCHFLAGS = -batch -q -no-site-file
@@ -42,26 +42,35 @@
 # expansions.  everything also depends on the byte compiler
 # options file since this might do odd things like turn off
 # certain compiler optimizations.
-CORE = vm-message.el vm-misc.el vm-byteopts.el
-
+CORE = vm-message.el vm-macro.el vm-byteopts.el
+
+# vm-version.elc needs to be first in this list, because load time
+# code needs the Emacs/XEmacs MULE/no-MULE feature stuff.
 OBJECTS = \
+    vm-version.elc \
+    vm-crypto.elc \
     vm-delete.elc vm-digest.elc vm-easymenu.elc vm-edit.elc vm-folder.elc \
-    vm-imap.elc vm-license.elc vm-mark.elc vm-menu.elc vm-message.elc \
+    vm-imap.elc vm-license.elc vm-macro.elc vm-mark.elc vm-menu.elc \
+    vm-message.elc \
     vm-mime.elc vm-minibuf.elc vm-misc.elc vm-mouse.elc \
     vm-motion.elc vm-page.elc vm-pop.elc vm-reply.elc \
     vm-save.elc \
     vm-search.elc vm-sort.elc vm-summary.elc vm-startup.elc vm-thread.elc \
     vm-toolbar.elc vm-undo.elc \
-    vm-user.elc vm-vars.elc vm-version.elc vm-virtual.elc vm-window.elc
+    vm-user.elc vm-vars.elc vm-virtual.elc vm-window.elc
 
 SOURCES = \
+    vm-version.el \
+    vm-crypto.el \
     vm-delete.el vm-digest.el vm-easymenu.el vm-edit.el vm-folder.el \
-    vm-imap.el vm-license.el vm-mark.el vm-menu.el vm-message.el \
+    vm-imap.el vm-license.el vm-macro.el vm-mark.el vm-menu.el vm-message.el \
     vm-mime.el vm-minibuf.el vm-misc.el vm-mouse.el \
     vm-motion.el vm-page.el vm-pop.el vm-reply.el vm-save.el \
     vm-search.el vm-sort.el vm-startup.el vm-summary.el vm-thread.el \
     vm-toolbar.el vm-undo.el \
-    vm-user.el vm-vars.el vm-version.el vm-virtual.el vm-window.el
+    vm-user.el vm-vars.el vm-virtual.el vm-window.el
+
+UTILS = qp-decode qp-encode base64-decode base64-encode
 
 vm:	vm.elc
 
@@ -73,24 +82,55 @@
 
 autoload:	vm-autoload.elc $(OBJECTS) tapestry.elc
 	@echo "building vm.elc (with all modules set to autoload)..."
-	@echo "(require 'vm-startup)" > vm.elc
-	@echo "(require 'vm-vars)" >> vm.elc
-	@echo "(require 'vm-version)" >> vm.elc
-	@echo "(require 'vm-autoload)" >> vm.elc
-
-all:	vm.info vm
+	@echo "(defun vm-its-such-a-cruel-world ()" > vm.el
+	@echo "   (require 'vm-version)" >> vm.el
+	@echo "   (require 'vm-startup)" >> vm.el
+	@echo "   (require 'vm-vars)" >> vm.el
+	@echo "   (require 'vm-autoload))" >> vm.el
+	@echo "(vm-its-such-a-cruel-world)" >> vm.el
+	@echo "(fmakunbound 'vm-its-such-a-cruel-world)" >> vm.el
+	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm.el
+
+all:	vm.info vm utils
 
 debug:	$(SOURCES) tapestry.el
 	@echo "building vm.elc (uncompiled, no autoloads)..."
 	@cat $(SOURCES) tapestry.el > vm.elc
 
-install:	all
-	cp vm.info $(INFODIR)/vm
+utils: $(UTILS)
+
+qp-decode: qp-decode.c
+	$(CC) $(CFLAGS) -o qp-decode qp-decode.c
+
+qp-encode: qp-encode.c
+	$(CC) $(CFLAGS) -o qp-encode qp-encode.c
+
+base64-decode: base64-decode.c
+	$(CC) $(CFLAGS) -o base64-decode base64-decode.c
+
+base64-encode: base64-encode.c
+	$(CC) $(CFLAGS) -o base64-encode base64-encode.c
+
+install: all install-info install-vm install-pixmaps install-utils
+
+install-info: vm.info
+	test -d $(INFODIR) || mkdir -p $(INFODIR)
+	cp vm.info vm.info-* $(INFODIR)
+
+install-vm: vm.elc
+	test -d $(LISPDIR) || mkdir -p $(LISPDIR)
 	cp *.elc $(LISPDIR)
-	cp pixmaps/*.xpm $(PIXMAPDIR)
+
+install-pixmaps:
+	test -d $(PIXMAPDIR) || mkdir -p $(PIXMAPDIR)
+	cp pixmaps/*.x[pb]m $(PIXMAPDIR)
+
+install-utils: $(UTILS)
+	test -d $(BINDIR) || mkdir -p $(BINDIR)
+	cp $(UTILS) $(BINDIR)
 
 clean:
-	rm -f vm-autoload.el vm-autoload.elc $(OBJECTS) tapestry.elc
+	rm -f $(UTILS) vm.info vm.info-* vm-autoload.el vm-autoload.elc $(OBJECTS) tapestry.elc
 
 vm.info:	vm.texinfo
 	@echo "making vm.info..."
@@ -103,6 +143,10 @@
 	@echo compiling vm-autoload.el...
 	@$(EMACS) $(BATCHFLAGS) -l $(BYTEOPTS) -f batch-byte-compile vm-autoload.el
 
+vm-crypto.elc:	vm-crypto.el $(CORE)
+	@echo compiling vm-crypto.el...
+	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-crypto.el
+
 vm-delete.elc:	vm-delete.el $(CORE)
 	@echo compiling vm-delete.el...
 	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-delete.el
@@ -127,6 +171,10 @@
 	@echo compiling vm-license.el...
 	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-license.el
 
+vm-macro.elc:	vm-macro.el $(CORE)
+	@echo compiling vm-macro.el...
+	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-macro.el
+
 vm-mark.elc:	vm-mark.el $(CORE)
 	@echo compiling vm-mark.el...
 	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-mark.el
@@ -175,13 +223,6 @@
 	@echo compiling vm-save.el...
 	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-save.el
 
-vm-search.el:	Makefile vm-search$(EMACS_VERSION).el
-	@echo making vm-search.el...
-	@{ test -f vm-search.el && \
-	  cmp -s vm-search.el vm-search$(EMACS_VERSION).el && \
-	  touch vm-search.el ; } || \
-	 { rm -f vm-search.el; cp vm-search$(EMACS_VERSION).el vm-search.el ; }
-
 vm-search.elc:	vm-search.el $(CORE)
 	@echo compiling vm-search.el...
 	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-search.el
