## vm 8.1.2

=== debian/changelog ===
vm (8.1.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed texinfo warnings and errors leading to an FTBFS (Closes #712368)

 -- Hilko Bengen <bengen@debian.org>  Sat, 23 Nov 2013 16:25:12 +0100

vm (8.1.2-2) unstable; urgency=low

  * Also add emacs24 to the postinst, so we register with ucf
  * Bug fix: "deletes shipped file during installation:
    /usr/share/emacs/site-lisp/vm/vm-autoloads.el", thanks to Andreas
    Beckmann (Closes: #706373).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 29 Apr 2013 13:02:37 -0700

vm (8.1.2-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "unowned files after purge (policy 6.8, 10.8)", thanks to
    Andreas Beckmann. We don't need that file, so we should not install it
    in the first place.                                   (Closes: #656219).
  * Bug fix: "vm/w3m incorrectly displays HTML Mime contents with charset
    different from  locale", thanks to comcap@free.fr. This has been fixed
    in this new upstream version.                         (Closes: #635909).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 28 Apr 2013 00:22:49 -0700

vm (8.1.0-1) unstable; urgency=low

  * New upstream version
  * [20fe869]: Merge branch 'upstream' into topic--debian
  * Bug fix: "sc-cite-original citation hook fails for mime encoded
    messages", thanks to Klaus Reichl              (Closes: #550859).
  * Bug fix: "8bit characters are not escapes in In-reply-to field",
    thanks to Neil Brown                           (Closes: #434565).
  * Bug fix: "vm-mime-encode-headers may mess up recipient addresses",
    thanks to Francois Fleuret                     (Closes: #553402).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 28 Mar 2010 08:03:45 -0700

vm (8.0.13-1) unstable; urgency=low

  * New upstream release. The project isunder new management now. This is
    a bug fixing release, which handles a flaw in caching.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 29 Nov 2009 11:48:54 -0600

vm (8.0.12-7) unstable; urgency=low

  * Told lintian to stop parsing old changelogs.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 01 Nov 2009 20:21:57 -0600

vm (8.0.12-6) unstable; urgency=low

  * Take extra care to remove cruft during remove and/or purge.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Oct 2009 09:59:26 -0500

vm (8.0.12-5) unstable; urgency=low

  * [e457f1c]: [topic--debian]: remove references to vm-easymenu
    Bug fix: "vm.el still references vm-easymenu, which has gone", thanks
    to Klaus Reichl                                    (Closes: #470263).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 12 Oct 2009 22:59:37 -0500

vm (8.0.12-4) unstable; urgency=low

  * New release to bring package into conformance with latest policy.
  * [88e374f]: [vm]: Info files are now installed using triggers

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 16 Aug 2009 16:58:04 -0500

vm (8.0.12-3) unstable; urgency=low

  * A new, bug fixing release.
  * [1493c77]: [vm] Remove files from the site-lisp directory
    This was caught by piuparts.
  * Updated Standards version to 3.8.2.0.  Also, use emacs23 instead of
    emacs22, now that it has entered testing.
  * Info files are now installed using triggers.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 13 Aug 2009 12:38:42 -0500

vm (8.0.12-2) unstable; urgency=low

  * This version of VM does not work with Emacs 21 and lower, since those
    versions are missing the custom-autoload function which is used
    invm-autoloads.el.  As a result, no autoloads for vm are defined,
    making vm completely unusable with emacs21. VM no longer byte compiles
    itself for those versions.  Remove support for emacs20 and emacs21 in
    emacsen.{install,remove}, add support for emacs23. Also add an
    NEWS.Debian file to document this change.
    Bug fix: "broken with emacs21 - (void-function custom-autoload)",
    thanks to Sven Joachim                               (Closes: #508543).
  * [c9a55df]: Added missing autoload cookie for
    vm-decode-postponed-mime-message. For good measure, add an autoload
    directive to the vm-init file as well.
    Bug fix: "Now requires forced load of vm-pine ", thanks to Dirk
    Eddelbuettel                                          (Closes: #516591).
  * [debiandir:a9a97a6]: remove call to install-docs, since this is now
    done with triggers.
  * [debiandir:263c26a]: Remove configure generated files in clean target

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 22 Mar 2009 02:19:48 -0500

vm (8.0.12-1) unstable; urgency=low

  * New upstream release
    [b68c89b] Merge branches 'upstream', 'topic--debian' and 'topic--base64'
    [580b1fe] Merge branch 'upstream' into topic--debian
    [5007800] Merge branch 'upstream' into topic--base64
    [f6416fc] Imported vm-8.0.12
    IMPROVEMENTS:
    + Display version info when calling `vm-version' interactively.
      (Thanks to Ulrich Mueller)
    + Yanking of messages uses the same MIME decoding as the presentation
      now.  See the new variable `vm-mime-yank-attachments' to configure if
      attachments are also yanked.
    + `u-vm-color.el' is bundled and maintained with VM now.  Ulf Jasper
       handed it over to me as he switched to Gnus.
    BUGFIXES:
    + Detect w3 by using `locate-library' instead of checking for a bound
      `w3-about'. (Thanks to Klaus Straubinger)
    + vm.revno.el was not installed anymore b "make install".  (Thanks to
      Ulrich Mueller for reporting)
    + Insert `emacs-version' instead of creating wrong version string for
      XEmacs, i.e. the patch level was the major version. (Thanks to Stephen
      Turnbull)
    + Correctly locate the data directory for the pixmaps when running as a
      XEmacs package.
    + Check for some MIME character sets that may be available in recent
      XEmacs.  (Thanks to Aidan Kehoe for the patch)
    + Some documentation fixes. (Thanks to Michael Ernst for the patches)

