=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=3

# http://www.seanet.com/~kylemonger/vm/vm-([0-9][0-9\.]*)\.tar\.gz debian

#opts="uversionmangle=s/\.$//" \
#http://download.savannah.nongnu.org/releases/viewmail/vm-([0-9][0-9\.]*?[0-9]+)(-\d+)?\.tgz debian

# This also givces us not yet released versions
#opts=filenamemangle=s/tgz$/tar.gz/ \
#https://launchpad.net/vm https://launchpad.net/vm/.*/.*/\+download/vm-(.*).tgz

# So. We currently only want the 8.1.x series, and also the non-emacs-23 versions
# which are source only
opts=filenamemangle=s/tgz$/tar.gz/ \
https://launchpad.net/vm/+download https://launchpad.net/vm/8\.1.*/.*/\+download/vm-([\d\.]+).tgz
