## vm 8.2.0b

=== debian/changelog ===
vm (8.2.0b-1) unstable; urgency=low

  * New upstream release. This has been in Beta for two years now, and
    seems to work fine.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Apr 2014 16:31:54 -0700
