=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: vm
-VCS-Git: git://git.debian.org/~srivasta/debian/vm.git
+VCS-Git: git://anonscm.debian.org/users/srivasta/debian/vm.git
 VCS-Browser: http://git.debian.org/git/?p=users/srivasta/debian/vm.git
 Section: mail
 Homepage: https://launchpad.net/vm
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends-Indep: debhelper (>= 9.0.0), autotools-dev, emacs24,
- texi2html (>= 1.76), texinfo
+ texinfo, texlive-latex-base, texlive-fonts-recommended
 
 Package: vm
 Architecture: all
